
    use strict;
    use warnings;

    my $imgdir = "registered";	    	    # Directory for registered files
    my $imgtype = 'png';
    my $odir = '4seasons';

    opendir(CD, $imgdir);
    my @images = grep(/\.$imgtype$/, readdir(CD));
    closedir(CD);
    
    @images = sort(@images);

    for (my $i = 0; $i <= $#images; $i++) {
    
    	my $imfile = $images[$i];
	my $dt = '';
	
	my $ofile = $imfile;
	$ofile =~ s/png$/jpg/;
	
    	my $dtime = `exif $odir/$ofile | fgrep 'Date and Time' | head -1`;
    	if (!($dtime =~ m/\|(\d+):(\d+):(\d+)\s+(\d+):(\d+):(\d+)\s/)) {
    	    $dtime = `exif $odir/Transformed/$ofile | fgrep 'Date and Time' | head -1`;
    	    if (!($dtime =~ m/\|(\d+):(\d+):(\d+)\s+(\d+):(\d+):(\d+)\s/)) {
	    	#print("For transformed $imgdir/$imfile, cannot parse $dtime\n");
	    } else {
		my ($dyear, $dmonth, $dmday, $dhour, $dminute, $dsecond) = ($1, $2, $3, $4, $5, $6);
		$dt = "$dyear-$dmonth-$dmday $dhour:$dminute";
	    }
	} else {
	    my ($dyear, $dmonth, $dmday, $dhour, $dminute, $dsecond) = ($1, $2, $3, $4, $5, $6);
	    $dt = "$dyear-$dmonth-$dmday $dhour:$dminute";
	}
	
	my $j = $i + 1;
	print("$j,$imfile,$dt\n");
    }


#   2005                        2005
#   Perihelion  Jan   2 01    Equinoxes  Mar   20 12 33    Sept  22 22 23
#   Aphelion    July  5 05    Solstices  June  21 06 46    Dec   21 18 35
#   
#   2006                        2006
#   Perihelion  Jan   4 15    Equinoxes  Mar   20 18 26    Sept  23 04 03
#   Aphelion    July  3 23    Solstices  June  21 12 26    Dec   22 00 22

